# Coralogix

### Supported Types

| Logs | Metrics | Traces |
| ---- | ------- | ------ |
| ✓    | ✓       | ✓      |

### Configuration

<table><thead><tr><th width="164.5390625">Parameter</th><th width="101.73046875">Type</th><th width="113.296875">Default</th><th>Description</th></tr></thead><tbody><tr><td>private_key*</td><td><code>string</code></td><td><code>""</code></td><td>API Private Key. More information on finding your key can be found <a href="https://coralogix.com/docs/private-key/">here</a>.</td></tr><tr><td>application_name*</td><td><code>string</code></td><td><code>""</code></td><td>OTel objects that are sent to Coralogix are tagged with this Application Name. Find more on application names <a href="https://coralogix.com/docs/application-and-subsystem-names">here</a>.</td></tr><tr><td>region*</td><td><code>string</code></td><td><code>EUROPE1</code></td><td>Region of your Coralogix account associated with the provided <code>private_key</code>. See the reference table to see <a href="#coralogix-region-ingress-endpoints">telemetry ingress endpoints</a> related to each region.</td></tr><tr><td>enable_metrics</td><td><code>bool</code></td><td>true</td><td></td></tr><tr><td>enable_logs</td><td><code>bool</code></td><td>true</td><td></td></tr><tr><td>enable_traces</td><td><code>bool</code></td><td>true</td><td></td></tr><tr><td>subsystem_name</td><td><code>string</code></td><td><code>""</code></td><td>OTel objects that are sent to Coralogix are tagged with this Subsystem Name. Find more on application names <a href="https://coralogix.com/docs/application-and-subsystem-names">here</a>.</td></tr><tr><td>timeout</td><td><code>int</code></td><td>5</td><td>Seconds to wait per individual attempt to send data to a backend</td></tr><tr><td>resource_attributes</td><td><code>bool</code></td><td><code>false</code></td><td></td></tr><tr><td>application_name_attributes</td><td><code>strings</code></td><td><code>[]</code></td><td>Ordered list of resource attributes that are used for Coralogix AppName.</td></tr><tr><td>subsystem_name_attributes</td><td><code>strings</code></td><td><code>[]</code></td><td>Ordered list of resource attributes that are used for Coralogix SubSystem.</td></tr></tbody></table>

<mark style="color:red;">\*</mark>*<mark style="color:red;">required field</mark>*

### Coralogix Region Ingress Endpoints

<table><thead><tr><th width="101.828125">Region</th><th width="260.2109375">Traces Endpoint</th><th width="285.0625">Metrics Endpoint</th><th width="309.31640625">Logs Endpoint</th></tr></thead><tbody><tr><td>USA1</td><td><code>otel-traces.coralogix.us:443</code></td><td><code>otel-metrics.coralogix.us:443</code></td><td><code>otel-logs.coralogix.us:443</code></td></tr><tr><td>APAC1</td><td><code>otel-traces.app.coralogix.in:443</code></td><td><code>otel-metrics.coralogix.in:443</code></td><td><code>otel-logs.coralogix.in:443</code></td></tr><tr><td>APAC2</td><td><code>otel-traces.coralogixsg.com:443</code></td><td><code>otel-metrics.coralogixsg.com:443</code></td><td><code>otel-logs.coralogixsg.com:443</code></td></tr><tr><td>EUROPE1</td><td><code>otel-traces.coralogix.com:443</code></td><td><code>otel-metrics.coralogix.com:443</code></td><td><code>otel-logs.coralogix.com:443</code></td></tr><tr><td>EUROPE2</td><td><code>otel-traces.eu2.coralogix.com:443</code></td><td><code>otel-metrics.eu2.coralogix.com:443</code></td><td><code>otel-logs.eu2.coralogix.com:443</code></td></tr></tbody></table>

### Supported Retry and Queuing Settings

This destination supports the [retry settings](https://docs.bindplane.com/configuration/bindplane-otel-collector/retry-on-failure), the [sending queue settings](https://docs.bindplane.com/configuration/bindplane-otel-collector/sending-queue), and the [persistent queue settings.](https://docs.bindplane.com/configuration/bindplane-otel-collector/persistent-queue)

| Sending Queue | Persistent Queue | Retry on Failure |
| ------------- | ---------------- | ---------------- |
| ✓             | ✓                | ✓                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/destinations/coralogix.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
